#ifndef RH_CONFIG_H
#define RH_CONFIG_H

// License Code: NNNNNN-NNNN-NNNM-A...
// N = nanocrypt code
// M = nanocrypt code + factor 14 value
// A... = app info data & factor N (any length)
// Note: Dash patterns are not significant when checking for a code.

// Nano-crypt code check values:
//      RH_VALUE_A   1958018374
#define RH_VALUE_G   74069475
#define RH_VALUE_P   1438144187
#define RH_VALUE_GA  975235665
#define RH_HASH_SEED1  0x4d56dc9f19cd7765
#define RH_HASH_SEED2  0x12c68c7d2c0d973a
#define RH_HASH_SEED3  0x4cddf5528737c190

// Factor 14 is always present inside the nanocrypt code.
#define RH_FACTOR14_SEED   0x72573ec4870bd966

// Size of Factor N may be increased if combining with app info storage 
// requires some padding.
#define RH_FACTOR_N_SEED   0x6bc7bf1213f6b6dc
#define RH_FACTOR_N_EXTENT 12

// Those checks are typically reserved for future versions in order to break
// code generators created by reverse-engineering the algorithm and its values.
//#define RH_FACTOR14_CHECK
//#define RH_FACTOR_N_CHECK

// Value incremented for each paid upgrade. App will accept license codes with
// a higher version increment than specified here, but not a lower one.
#define MF_WEB_STORE_VERSION_INCREMENT  2
// Version increment for the local trial.
#define MF_LOCAL_TRIAL_VERSION_INCREMENT  3

// Number of days for the local trial.
#define MF_LOCAL_TRIAL_DAYS  30
// Maximum number of trial days allowed (if period was smaller before)
//#define MF_LOCAL_TRIAL_TOLERATED_DAYS  30


#endif
